[MASTER] Gdk-ERROR **: The program 'firefox-3.5' received an X Window System error (BadWindow)

Bug #401055 reported by Matt Zimmerman on 2009-07-18
224
This bug affects 47 people
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Fix Released
Medium
X.Org X server
Fix Released
High
apport (Ubuntu)
Undecided
Unassigned
firefox-3.5 (Ubuntu)
High
Unassigned
libx11 (Ubuntu)
High
Unassigned
xulrunner-1.9.1 (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: firefox-3.5

I have my default browser set to firefox-3.5, so when apport tries to launch a browser to display the Launchpad bug filing form, it opens firefox-3.5. The problem is that (about 80% of the time), it crashes with a BadWindow error, e.g.:

perseus:[~] ubuntu-bug firefox-3.5
perseus:[~]
Gdk-ERROR **: The program 'firefox-3.5' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 19 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...

If I keep trying, it eventually succeeds. I'm not able to reproduce the problem using "firefox-3.5 about:mozilla" so it may have something to do with the way that apport is invoking it.

ProblemType: Bug
Architecture: amd64
Date: Sat Jul 18 12:19:56 2009
DistroRelease: Ubuntu 9.10
Package: firefox-3.5 3.5.1+build1+nobinonly-0ubuntu1
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-3-generic x86_64

Dupe of 46057? I am experiencing this as well.

I got at least two of these reports on bugzilla.novell.com.
Searching bmo "BadWindow" seems to happen quite often in different trees and products.

Oops, I meat to say possible dupe of bug #460572, and was fixed for me by disabling Compiz. I am no longer seeng this issue with 3.5.1~hg20090629r26036+nobinonly-0ubuntu2~umd1~jaunty.

Binary package hint: firefox-3.5

I have my default browser set to firefox-3.5, so when apport tries to launch a browser to display the Launchpad bug filing form, it opens firefox-3.5. The problem is that (about 80% of the time), it crashes with a BadWindow error, e.g.:

perseus:[~] ubuntu-bug firefox-3.5
perseus:[~]
Gdk-ERROR **: The program 'firefox-3.5' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 19 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...

If I keep trying, it eventually succeeds. I'm not able to reproduce the problem using "firefox-3.5 about:mozilla" so it may have something to do with the way that apport is invoking it.

ProblemType: Bug
Architecture: amd64
Date: Sat Jul 18 12:19:56 2009
DistroRelease: Ubuntu 9.10
Package: firefox-3.5 3.5.1+build1+nobinonly-0ubuntu1
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-3-generic x86_64

Matt Zimmerman (mdz) wrote :

(In reply to comment #3)
> Oops, I meat to say possible dupe of bug #460572, and was fixed for me by
> disabling Compiz. I am no longer seeng this issue with
> 3.5.1~hg20090629r26036+nobinonly-0ubuntu2~umd1~jaunty.

Did that daily really fix this for you even with compiz enabled? We seem to still get this with 3.5.1 final in karmic (and most likely jaunty?).

Download full text (7.3 KiB)

ubuntu bug: https://bugs.edge.launchpad.net/bugs/401055

Stacktrace with --sync on ffox 3.5.1: http://launchpadlibrarian.net/29324303/StackTraceDebug.txt
...
#2 0x00007fda15006256 in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#3 0x00007fda16f503d4 in _XError (dpy=0x7fda1a6ac000, rep=0x7fda1a6b8100) at ../../src/XlibInt.c:2924
        rtn_val = <value optimized out>
        event = {type = 0, xany = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819}, xkey = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, root = 4256530, subwindow = 550, time = 140574722708608, x = 549, y = 0, x_root = 443203584, y_root = 32730, state = 443252992, keycode = 32730, same_screen = 1}, xbutton = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, root = 4256530, subwindow = 550, time = 140574722708608, x = 549, y = 0, x_root = 443203584, y_root = 32730, state = 443252992, button = 32730, same_screen = 1}, xmotion = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, root = 4256530, subwindow = 550, time = 140574722708608, x = 549, y = 0, x_root = 443203584, y_root = 32730, state = 443252992, is_hint = -38 '\332', same_screen = 1}, xcrossing = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, root = 4256530, subwindow = 550, time = 140574722708608, x = 549, y = 0, x_root = 443203584, y_root = 32730, mode = 443252992, detail = 32730, same_screen = 1, focus = 0, state = 550}, xfocus = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, mode = 4256530, detail = 0}, xexpose = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, x = 4256530, y = 0, width = 550, height = 0, count = 443110528}, xgraphicsexpose = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, drawable = 140574715810819, x = 4256530, y = 0, width = 550, height = 0, count = 443110528, major_code = 32730, minor_code = 549}, xnoexpose = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, drawable = 140574715810819, major_code = 4256530, minor_code = 0}, xvisibility = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, window = 140574715810819, state = 4256530}, xcreatewindow = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, parent = 140574715810819, window = 4256530, x = 550, y = 0, width = 443110528, height = 32730, border_width = 549, override_redirect = 0}, xdestroywindow = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, event = 140574715810819, window = 4256530}, xunmap = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, event = 140574715810819, window = 4256530, from_configure = 550}, xmap = {type = 0, serial = 140574722801664, send_event = 83886083, display = 0x226, event = 140574715810819, window = 4256530, override_redirect = 550}, xmaprequest = {type = 0...

Read more...

Alex, I am not seeing it anymore, and I switched to 3.5.1 final in jaunty instead of the daily build.

Matt Zimmerman (mdz) wrote :

Note that the attached stack trace is captured with --sync

Matt Zimmerman (mdz) on 2009-07-21
Changed in firefox-3.5 (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Alexander Sack (asac) on 2009-07-21
Changed in firefox-3.5 (Ubuntu):
importance: Medium → High
Changed in firefox:
status: Unknown → Confirmed

my comment from Ubuntu Bug - https://bugs.launchpad.net/ubuntu/+source/firefox-3.5/+bug/401055/comments/4:

band-aid with some debugging output should be available on trunk dailies (firefox-3.6 and xulrunner-1.9.2) in https://edge.launchpad.net/~ubuntu-mozilla-daily/+archive/ppa

  - http://bazaar.launchpad.net/~mozillateam/xulrunner/xulrunner-1.9.2.head/annotate/head%3A/debian/patches/lp401055_bz499498_debug_bandaid.patch

Problem appears to be that XQueryTree somehow gives us a bad window; I haven't looked yet how that can happen or if that indicates a bug in X.

I noticed that i can trigger this more easily by using killall firefox-3.5 rather than shutting it down properly; from that it feels a bit like there is a window not properly removed from X.

Created an attachment (id=390216)
1st band-aid patch with some debug output

attaching the patch referred to in comment 7

band-aid with some debugging output should be available on trunk dailies (firefox-3.6 and xulrunner-1.9.2) in https://edge.launchpad.net/~ubuntu-mozilla-daily/+archive/ppa

  - http://bazaar.launchpad.net/~mozillateam/xulrunner/xulrunner-1.9.2.head/annotate/head%3A/debian/patches/lp401055_bz499498_debug_bandaid.patch

Problem appears to be that XQueryTree somehow gives us a bad window; I haven't looked yet how that can happen or if that indicates a bug in X.

I noticed that i can trigger this more easily by using killall firefox-3.5 rather than shutting it down properly; from that it feels a bit like there is a window not properly removed from X.

Martin Pitt (pitti) wrote :

Apport just calls "firefox <url>", should it do anything different?

Changed in apport (Ubuntu):
status: New → Incomplete
Alexander Sack (asac) wrote :

i am not sure why this bug was opened against apport. I would suggest to just keep the firefox parts open.

Martin Pitt (pitti) on 2009-07-23
Changed in apport (Ubuntu):
status: Incomplete → Invalid
hackel (hackel) wrote :

I am still seeing this with 3.5.2. If I run firefox-3.5 -no-remote, I don't seem to have the problem (so far at least). Is there any chance of applying the patch to the 3.5 builds?

hackel (hackel) wrote :

FYI--the patch above applied fine to xulrunner-1.9.1 1.9.1.2+nobinonly-0ubuntu0.9.04.1 and so far I have not experienced this problem at all. Just a ton of console messages like:

XRemoteClient Error - [XRemoteClient::CheckWindow] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::FindBestWindow - XGetWindowProperty 1] Get X Window Error = 0

Xavier Guillot (valeryan-24) wrote :

Hello,

I also have very often this bug with Firefox 3.5.2 on a fresh Ubuntu Karmic alpha 3.

Some of the error messages I get :

Gdk-ERROR **: The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 48022 error_code 10 request_code 2 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Trappe pour point d'arret et de trace (core dumped)

Or :
(Details: serial 1336203 error_code 10 request_code 2 minor_code 0)
(Details: serial 39118 error_code 10 request_code 2 minor_code 0)
(Details: serial 50160 error_code 10 request_code 2 minor_code 0)

Vish (vish) wrote :

@Alexander Sack:
Could you pls apply the band-aid to firefox-3.5 , now that it is the default.
I keep loosing several apport crashes when if i make sure the browser is already running..

Micah Gersten (micahg) on 2009-08-13
summary: - Gdk-ERROR **: The program 'firefox-3.5' received an X Window System
- error (BadWindow)
+ [MASTER] Gdk-ERROR **: The program 'firefox-3.5' received an X Window
+ System error (BadWindow)

Created an attachment (id=28790)
StackTraceDebug.txt

Forwarding this bug reported for Firefox-3.5 in Ubuntu for Ubuntu reporter Matt Zimmerman:
https://bugs.edge.launchpad.net/ubuntu/+source/firefox-3.5/+bug/401055

[Problem]
The 'BadWindow' error is not documented as a possible return value for XQueryTree, yet it is being seen in Firefox-3.5 when the browser is launched.

[Original Report]
I have my default browser set to firefox-3.5, so when apport tries to launch a browser to display the Launchpad bug filing form, it opens firefox-3.5. The problem is that (about 80% of the time), it crashes with a BadWindow error, e.g.:

perseus:[~] ubuntu-bug firefox-3.5
perseus:[~]
Gdk-ERROR **: The program 'firefox-3.5' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadWindow (invalid Window parameter)'.
  (Details: serial 19 error_code 3 request_code 20 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...

If I keep trying, it eventually succeeds. I'm not able to reproduce the problem using "firefox-3.5 about:mozilla" so it may have something to do with the way that apport is invoking it.

In analyzing the problem, it appears to be that XQueryTree gives a BadWindow error, although it's unclear why it would do this (no mention of BadWindow in XQueryTree's man page, and grepping through the source code didn't reveal the code path that results in this being issued.)

The following patch was applied to firefox to bandaid over the issue:
http://bazaar.launchpad.net/~mozillateam/xulrunner/xulrunner-1.9.2.head/annotate/head%3A/debian/patches/lp401055_bz499498_debug_bandaid.patch

Asac noticed that he can trigger this more easily by using killall firefox-3.5 rather than shutting it down properly; from that it feels a bit like there is a window not properly removed from X. Others have reported that running 'firefox-3.5 -no-remote' hides the issue.

ProblemType: Bug
Architecture: amd64
Date: Sat Jul 18 12:19:56 2009
DistroRelease: Ubuntu 9.10
Package: firefox-3.5 3.5.1+build1+nobinonly-0ubuntu1
ProcEnviron:
 LC_COLLATE=C
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SourcePackage: firefox-3.5
Uname: Linux 2.6.31-3-generic x86_64

Note that the attached stack trace is captured with --sync

Bryce Harrington (bryce) wrote :

I've gone ahead and forwarded this upstream as an X bug, however really some additional analysis ought to be done. I don't think there's enough info on the upstream bug for us to be able to expect a response, but who knows, worth a shot I guess.

It would be helpful to narrow this to a test code that reproduces the problem. *Maybe* since firefox is so widely available they'll look at it, but most typically with these kinds of bugs upstream wants to see a concise test case.

It is also almost always a good idea to run the client app using xtrace in order to study the client-server interaction and see exactly what sequence of commands the client is sending to the server. Especially in this case I think it's extraordinarily likely upstream is going to ask for this to be done.

Changed in libx11 (Ubuntu):
importance: Undecided → High
status: New → Incomplete
Changed in xorg-server:
status: Unknown → Confirmed
Bryce Harrington (bryce) wrote :

Info on using xtrace here -- http://xtrace.alioth.debian.org/

I've roughed up a page on debugging client XErrors since these seems to be a pretty common class of error, and we didn't seem to already have a good knowledgebase for people on how to deal with them:

  https://wiki.ubuntu.com/X/Troubleshooting/XError

It would be majorly helpful if you guys could flesh that out further since you all probably have more experience with the tricks of debugging these kinds of issues.

On Wed, Aug 19, 2009 at 12:22:24 -0700, <email address hidden> wrote:

> In analyzing the problem, it appears to be that XQueryTree gives a BadWindow
> error, although it's unclear why it would do this (no mention of BadWindow in
> XQueryTree's man page, and grepping through the source code didn't reveal the
> code path that results in this being issued.)
>
BadWindow is the expected error if QueryTree is called on a nonexistent
window, afaict.
It's returned from dixLookupWindow(), called from ProcQueryTree() in the
server.

(In reply to comment #1)
> On Wed, Aug 19, 2009 at 12:22:24 -0700, <email address hidden> wrote:
> BadWindow is the expected error if QueryTree is called on a nonexistent
> window, afaict.

Okay, then this should be mentioned in the XQueryTree man page. We can consider this bug report solved by an update to the man page.

> It's returned from dixLookupWindow(), called from ProcQueryTree() in the
> server.

Thanks

Bryce

Bryce Harrington (bryce) wrote :

Fortunately, jcristau gave a response on the upstream bug. He indicates that BadWindow is indeed an appropriate response from the xserver in this case, and is returned when the Window parameter passed to XQueryTree is invalid. I've requested that the XQueryTree man page be updated with this info, and we can consider the libx11 task resolved once that is completed.

So it's sounding sort of like firefox just has a race condition going on or something.

Changed in libx11 (Ubuntu):
status: Incomplete → Triaged

There's a race condition between getting window XIDs and accessing them.
BadWindow would result if an window being checked has been destroyed.

Created an attachment (id=397329)
patch

*** Bug 460572 has been marked as a duplicate of this bug. ***

Changed in firefox:
status: Confirmed → In Progress
Bremm (bremm) wrote :

Just for the records: here with Xubuntu 9.04 amd64, XULrunner 1.9.3 and Firefox 3.7a1pre, running it on console I get it flooded with this:

XRemoteClient Error - [XRemoteClient::CheckWindow] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::FindBestWindow - XGetWindowProperty 1] Get X Window Error = 0

By the way, browser works fine despite the same error several times appearing on console.

Xavier Guillot (valeryan-24) wrote :
Download full text (9.5 KiB)

Hello,

For me I identified the problem : it came from Swfdec that I tried to use instead Flash 10.

It worked half well (no sound, not all flash videos reading), but when I ran Firefox manually with "firefox --sync" I was able to have details on some web sites causing Firefox crash on loading or leaving page.

Examples :

Loading stream: http://d.scribd.com/ScribdViewer.swf?document_id=17247103&access_key=key-nhgecu22f7o6ejyk5rj&page=1&version=1&viewMode=
unhandled event 19

Gdk-ERROR **: The program 'firefox' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 93131 error_code 10 request_code 2 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Trappe pour point d'arrêt et de trace (core dumped)

XRemoteClient Error - [XRemoteClient::CheckWindow] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::FindBestWindow - XGetWindowProperty 1] Get X Window Error = 0
unhandled event 19
Loading stream: http://www.boxson.net/coverflow.swf
unhandled event 19
Loading stream: http://www.boxson.net/coverflow.swf
unhandled event 19
Loading stream: http://media.resulthost.org/banners/banner-1-2-664.1231358092.3522.swf

Gdk-ERROR **: The program 'firefox-3.7' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAccess (attempt to access private resource denied)'.
  (Details: serial 156854 error_code 10 request_code 2 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
Trappe pour point d'arrêt et de trace (core dumped)

XRemoteClient Error - [XRemoteClient::FindBestWindow - XQueryTree] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::CheckWindow] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::FindBestWindow - XGetWindowProperty 1] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::CheckWindow] Get X Window Error = 0

Loading stream: http://cdn.gigya.com/Wildfire/swf/Gigya.Socialize.Login.swf
Loading stream: http://www.youtube.com/apiplayer?enablejsapi=1&playerapiid=ytplayer
Loading stream: http://stat.getjuke.com/jukeplayer/jukeplayer.1.0.0.0.swf
Loading stream: http://cdn.gigya.com/Wildfire/swf/Gigya.Socialize.Login.swf
Loading stream: http://www.youtube.com/apiplayer?enablejsapi=1&playerapiid=ytplayer
Loading stream: http://stat.getjuke.com/jukeplayer/jukeplayer.1.0.0.0.swf
Loading stream: http://cdn.gigya.com/Wildfire/swf/Gigya.Socialize.Login.swf
Loading stream: http://www.youtube.com/apiplayer?enablejsapi=1&playerapiid=ytplay...

Read more...

Xavier Guillot (valeryan-24) wrote :

After uninstalling Swfdec and put proprietary Flash 10 plugin, it works well, but it needs last version of Flash 10, I read that old version, in addition to a security risk, could also cause this crash.

http://labs.adobe.com/downloads/flashplayer10.html

Download the tar.gz file.

Go to .Mozilla in your home and create a new folder "plugins".
Extract libflashplayer.so inside and restart Firefox.

I hope it can help.

Christof Krüger (christofkr) wrote :

swfdec-* was not installed on my system, but it helped for me to aptitude reinstall flashplugin-installer

Man page fix pushed as c2814a614dc4d9409bfa0f44c18bfd69ad7f7b85

Bryce Harrington (bryce) on 2009-09-02
tags: added: karmic
Changed in firefox:
status: In Progress → Fix Released
Changed in xorg-server:
status: Confirmed → Fix Released
Micah Gersten (micahg) on 2009-09-03
tags: added: fixed-3.7
eris23 (jdkatz23) wrote :

XRemoteClient Error - [XRemoteClient::CheckWindow] Get X Window Error = 0
XRemoteClient Error - [XRemoteClient::FindBestWindow - XGetWindowProperty 1] Get X Window Error = 0

Package: firefox-3.6
Version: 3.6~a2~hg20090905r31539+nobinonly-0ubuntu1~umd1

2.6.31-9-generic #29-Ubuntu SMP Sun Aug 30 17:39:26 UTC 2009 x86_64 GNU/Linux

karmic

eris23 (jdkatz23) wrote :

I should add to #26 that swfdec is not installed.

The problem doesn't exist on:
firefox 3.5.4~hg20090907r26344+nobinonly-0ubuntu1~umd1
or
firefox 3.7~a1~hg20090907r32284+nobinonly-0ubuntu1~umd1

John Vivirito (gnomefreak) wrote :

those are not stable security release version 4 yet. once they are they will get updated in archives
this does happen on 3.7
3.7~a1~hg20090907r32284+nobinonly-0ubuntu1~umd1

Micah Gersten (micahg) wrote :

@eris23, @gnomefreak

Is it the same use case in 3.7? I need to let upstream know if it is since they patched it already in that release. If not the same use case as above, please provide the use case for the crash.

eris23 (jdkatz23) wrote :

Micah: if I understand you correctly, there are no problems with the 3.7 version installed.

John Vivirito (gnomefreak) wrote :

test case: start with clean profile
run firefox-3.7 from terminal
end up with output attached

latest version here from umd is
3.7~a1~hg20090907r32284+nobinonly-0ubuntu1~umd1

John Vivirito (gnomefreak) wrote :

Same version as above. here is the output of using a new profile with the command:
gnomefreak@Development:~$ firefox-3.7 -ProfileManager 2>&1 | tee firefox-3.7.output2
using profile name disposal

Micah Gersten (micahg) wrote :

@gnomefreak

That seems to be a different error. This error is about a fatal crash on the first launch. I'll see if I can find the bug number for it later.

(From update of attachment 397329)
I see this frequently enough. Requesting approval1.9.2.

Usually I just try again and then it succeeds, but sometimes when opening some
links from KDE applications the failure is repeated; I give up, open a new
window and try again. What's happening is that KDE is putting up a progress
window while determining the mime type, and the remoting process takes long
enough (bug 222051) that there's are reasonable period of time in which the
process can get caught by KDE's window getting destroyed.

Automated testing is difficult, possibly involving X server emulators or
proxies. I tested the patch by adding sleep()s to the code and manually
destroying windows.

I've submitted bug 517133 for a way on getting stats on how often these errors
are happening.

This is a top crash for us in ubuntu still. Karl, do you see any reason why this shouldn't go to 1.9.1 branch too?

I've been using this for 3 weeks with Firefox 3.5.3 and it has made a world of difference for me. If others are also suffering then this seems a good candidate for 1.9.1.

(From update of attachment 397329)
also requesting approval on 1.9.1 branch. this is the main blocker for us in ubuntu karmic.

Alexander Sack (asac) wrote :

bzr commit -m '* fix LP: #401055 - Gdk-ERROR **: The program 'firefox-3.5' received
  an X Window System error (BadWindow); add patch from upstream bug
  (also LP: #411695)
  - add debian/patches/bz499498_att397329_lp401055_bad_window.patch
  - update debian/patches/series' --fixes 'lp:401055' --fixes 'lp:411695'
Committing to: bzr+ssh://<email address hidden>/~mozillateam/xulrunner/xulrunner-1.9.1.head/
modified debian/changelog
added debian/patches/bz499498_att397329_lp401055_bad_window.patch
modified debian/patches/series
Committed revision 500.

Changed in firefox-3.5 (Ubuntu):
status: Triaged → Fix Committed
Alexander Sack (asac) wrote :

uploading xulrunner-1.9.1_1.9.1.3+build1+nobinonly-0ubuntu5_source.changes now. please verify that this fixes it for you and reopen this bug in case you still get these errors.

Changed in xulrunner-1.9.1 (Ubuntu):
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9.1 - 1.9.1.3+build1+nobinonly-0ubuntu5

---------------
xulrunner-1.9.1 (1.9.1.3+build1+nobinonly-0ubuntu5) karmic; urgency=low

  * fix LP: #401055 - Gdk-ERROR **: The program 'firefox-3.5' received
    an X Window System error (BadWindow); add patch from upstream bug
    (also LP: #411695)
    - add debian/patches/bz499498_att397329_lp401055_bad_window.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Wed, 07 Oct 2009 10:23:28 +0200

Changed in xulrunner-1.9.1 (Ubuntu):
status: Fix Committed → Fix Released
Alexander Sack (asac) wrote :

ara confirmed that the xulrunner update fixed this. closing firefox task too. if anyone still sees this with up-to-date xulrunner-1.9.1, let us know.

Changed in firefox-3.5 (Ubuntu):
status: Fix Committed → Fix Released
Changed in libx11 (Ubuntu):
status: Triaged → Invalid
Micah Gersten (micahg) wrote :

Apologies, accidentally clicked the Importance.

Changed in apport (Ubuntu):
importance: Undecided → Medium
importance: Medium → Undecided

(From update of attachment 397329)
Approved for 1.9.1.6, a=dveditz for release-drivers

If this is a topcrash on Ubuntu, it should really block 1.9.2. (And we're taking it on 1.9.1, so if it's not fixed on 1.9.2, it'll be a regression.)

Micah Gersten (micahg) on 2009-11-07
tags: added: fixed-1.9.1.6 fixed-3.5.6

Now a blocker, so you're good to land this on 1.9.2, you can remove the approval request.

Changed in xorg-server:
importance: Unknown → High
Changed in firefox:
importance: Unknown → Medium
Changed in xorg-server:
importance: High → Unknown
Changed in xorg-server:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.